void handleLeds() {
  unsigned long currentLedMillis = millis();
  if(turnLeft || turnRight || hazard) {
    //Blinker
    if((turnLeft || turnRight) && (currentLedMillis - previousLedMillis >= ledIntervalTurn)) {
      previousLedMillis = currentLedMillis;
      if(turnLeft) {
        ledLeftOn = !ledLeftOn;
        digitalWrite(pinOutLedTurnLeft, ledLeftOn);
        digitalWrite(pinOutLedFlashLeft, ledLeftOn);
        digitalWrite(pinOutLedFlashRight, LOW);
      }
      if(turnRight) {
        ledRightOn = !ledRightOn;
        digitalWrite(pinOutLedTurnRight, ledRightOn);
        digitalWrite(pinOutLedFlashRight, ledRightOn);
        digitalWrite(pinOutLedFlashLeft, LOW);
      }
    }
    //Warnblinkanlage
    if(hazard && (currentLedMillis - previousLedMillis >= ledIntervalHazard)) {
      previousLedMillis = currentLedMillis;
      ledLeftOn = !ledLeftOn;
      digitalWrite(pinOutLedTurnLeft, ledLeftOn);
      digitalWrite(pinOutLedTurnRight, ledLeftOn);
      digitalWrite(pinOutLedFlashLeft, ledLeftOn); //Absicht!
      digitalWrite(pinOutLedFlashRight, ledLeftOn);
    }
  }
  if(turboOn && (currentLedMillis - previousTurboLedMillis >= ledIntervalHazard)) {
    previousTurboLedMillis = currentLedMillis;
    ledTurboOn = !ledTurboOn;
    digitalWrite(pinOutLedFlashLeft, ledTurboOn);
    digitalWrite(pinOutLedFlashRight, ledTurboOn);
  }
  if(idleOn) {
    digitalWrite(pinOutLedFlashLeft, LOW);
    digitalWrite(pinOutLedFlashRight, LOW);
  }
  //Blaulicht
  if(!hazard && !turnLeft && !turnRight && !turboOn && !idleOn && (currentLedMillis - previousLedMillisFlash >= ledIntervalFlash)) {
    previousLedMillisFlash = currentLedMillis;
    ledFlashOn = !ledFlashOn;
    digitalWrite(pinOutLedFlashLeft, ledFlashOn);
    digitalWrite(pinOutLedFlashRight, !ledFlashOn);
  }
}

void ledsOff() {
  previousLedMillis = 0; //Blink-Intervall zurücksetzen!
  digitalWrite(pinOutLedTurnLeft, LOW);
  digitalWrite(pinOutLedTurnRight, LOW);
  turnLeft = false;
  turnRight = false;
  ledLeftOn = false;
  ledRightOn = false;
  hazard = false;
  //ledsOff = false;
}

void flashLeds() {
  //für den kurzen Zeitraum können wir uns die delay()s leisten :)
  digitalWrite(pinOutLedFlashLeft, LOW);
  digitalWrite(pinOutLedFlashRight, LOW);
  delay(20);
  digitalWrite(pinOutLedFlashLeft, HIGH);
  digitalWrite(pinOutLedFlashRight, HIGH);
  delay(20);
  digitalWrite(pinOutLedFlashLeft, LOW);
  digitalWrite(pinOutLedFlashRight, LOW);
  delay(20);
  digitalWrite(pinOutLedFlashLeft, HIGH);
  digitalWrite(pinOutLedFlashRight, HIGH);
  delay(20);
  digitalWrite(pinOutLedFlashLeft, LOW);
  digitalWrite(pinOutLedFlashRight, LOW);
  delay(20);
}

