void drive() {
  //prüfen, ob Turbozeit abgelaufen, Geschwindigkeit ggfs. wieder zurückstellen
  if(turboOn && millis() - previousTurboMillis > turboDuration) {
    turboOn = false;
  }
  //prüfen, ob LeerLaufzeit abgelaufen
  if(idleOn && millis() - previousIdleMillis > idleDuration) {
    idleOn = false;
  }
  
  if(currentSpeed > maxSpeed) currentSpeed = maxSpeed; //falls maxSpeed kleiner geworden ist

  //Motor ansteuern
  if(turboOn) {
    driveMotor(255, currentWheelState);
  } else if(idleOn) {
    driveMotor(0, currentWheelState);
  } else {
    driveMotor(currentSpeed, currentWheelState);
  }
  
  if(currentSpeed != 0) { //wenn Speed auf 0 ist, ist irgendwas => Kollision => nix tun
    //wenn nicht auf maxSpeed, beschleunigen
    if(currentSpeed < maxSpeed) {
      unsigned long currentMillis = millis();
      if(currentMillis - previousDriveMillis >= driveInterval) {
        previousDriveMillis = currentMillis;
        currentSpeed += 1;
        if(currentSpeed > maxSpeed) currentSpeed = maxSpeed;
      }
    }
  }
}

void driveMotor(byte speed, bool direction) {
  if(direction) {
    analogWrite(pinOutMotorLeft, 0);
    analogWrite(pinOutMotorRight, speed);
  } else {
    analogWrite(pinOutMotorLeft, speed);
    analogWrite(pinOutMotorRight, 0);
  }
}

